org.codehaus.plexus.component.configurator.expression

## Interface TypeAwareExpressionEvaluator

All Superinterfaces:
  ExpressionEvaluator

    public interface TypeAwareExpressionEvaluator
    extends ExpressionEvaluator

Evaluate an expression.

Version:
  $Id: TypeAwareExpressionEvaluator.java 8347 2009-08-20 17:37:19Z bentmann $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator

`ROLE`

### Method Summary

Methods
`java.lang.Object` `evaluate(java.lang.String expression, java.lang.Class<?> type)` Evaluate an expression.

### Methods inherited from interface org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator

`alignToBaseDirectory, evaluate`

### Method Detail

#### evaluate

    java.lang.Object evaluate(java.lang.String expression,
                            java.lang.Class<?> type)
                              throws ExpressionEvaluationException

Evaluate an expression. The optional type provided to this method is a hint (not a requirement) for the evaluator to resolve the expression to a compatible value. The evaluator is not expected to perform any conversion but rather filter out incompatible values from its result.

Parameters:
  `expression` - the expression
  `type` - The expected type of expression result, may be `null`.
Returns:
  the value of the expression
Throws:
  `ExpressionEvaluationException`